MockObject (jMock API Documentation)
Keywords: org.jmock.expectation.MockObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.expectation
Class MockObject

    java.lang.Object
      org.jmock.expectation.MockObject

All Implemented Interfaces:
  Verifiable

Direct Known Subclasses:
  ReturnObjectMap

    public abstract class MockObject

extends Object
implements Verifiable

Constructor Summary
`MockObject()`

Method Summary
`protected void` | `assertEquals(String message, int o1, int o2)`
`protected void` | `assertEquals(String message, Object o1, Object o2)`
`protected void` | `assertTrue(String message, boolean condition)`
`protected void` | `fail(String message)`
`void` | `notImplemented()`
`protected void` | `notYetImplemented()` Deprecated.
`static void` | `notYetImplemented(String mockName)` Deprecated.
`void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockObject

    public MockObject()

Method Detail

### assertEquals

    protected void assertEquals(String message,
                                int o1,
                                int o2)

### assertEquals

    protected void assertEquals(String message,
                                Object o1,
                                Object o2)

### assertTrue

    protected void assertTrue(String message,
                              boolean condition)

### fail

    protected void fail(String message)

### notImplemented

    public void notImplemented()

### notYetImplemented

    protected void notYetImplemented()

  Deprecated.

### notYetImplemented

    public static void notYetImplemented(String mockName)

  Deprecated.

### verify

    public void verify()

  Description copied from interface: `Verifiable`
  Throw an AssertionFailedException if any expectations have not been met. Implementations of this method must be idempotent: jMock can call this method more than once when verifying expectations at the end of a test.

  Specified by:
    `verify` in interface `Verifiable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD